package com.fjhx.xmhjc.controller.about;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.about.vo.AboutUsHonorVo;
import com.fjhx.xmhjc.entity.about.dto.AboutUsHonorSelectDto;
import com.fjhx.xmhjc.entity.about.dto.AboutUsHonorDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.xmhjc.service.about.AboutUsHonorService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 关于我们-荣誉资质 前端控制器
 * </p>
 *
 * @author lqh
 * @since 2023-11-13
 */
@RestController
@RequestMapping("/aboutUsHonor")
public class AboutUsHonorController {

    @Autowired
    private AboutUsHonorService aboutUsHonorService;

    /**
     * 关于我们-荣誉资质列表
     */
    @PostMapping("/list")
    public List<AboutUsHonorVo> list(@RequestBody AboutUsHonorSelectDto dto) {
        return aboutUsHonorService.getList(dto);
    }

    /**
     * 关于我们-荣誉资质分页
     */
    @PostMapping("/page")
    public Page<AboutUsHonorVo> page(@RequestBody AboutUsHonorSelectDto dto) {
        return aboutUsHonorService.getPage(dto);
    }

    /**
     * 关于我们-荣誉资质明细
     */
    @PostMapping("/detail")
    public AboutUsHonorVo detail(@RequestBody BaseSelectDto dto) {
        return aboutUsHonorService.detail(dto.getId());
    }

    /**
     * 关于我们-荣誉资质新增
     */
    @PostMapping("/add")
    public void add(@RequestBody AboutUsHonorDto aboutUsHonorDto) {
        aboutUsHonorService.add(aboutUsHonorDto);
    }

    /**
     * 关于我们-荣誉资质编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody AboutUsHonorDto aboutUsHonorDto) {
        aboutUsHonorService.edit(aboutUsHonorDto);
    }

    /**
     * 关于我们-荣誉资质删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        aboutUsHonorService.delete(dto.getId());
    }

}
