package com.fjhx.xmhjc.controller.open;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.home.dto.HomeSettingDto;
import com.fjhx.xmhjc.entity.home.dto.HomeSettingSelectDto;
import com.fjhx.xmhjc.entity.home.vo.HomeSettingByOpenVo;
import com.fjhx.xmhjc.entity.home.vo.HomeSettingVo;
import com.fjhx.xmhjc.service.home.HomeSettingService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 首页配置 前端控制器
 *
 * @author lqh
 * @since 2023-11-22
 */
@RestController
@RequestMapping("/open/homeSetting")
public class OpenHomeSettingController {

    @Autowired
    private HomeSettingService homeSettingService;

    /**
     * 首页配置列表
     */
    @PostMapping("/listByOpen")
    public List<HomeSettingByOpenVo> list() {

        List<HomeSettingVo> list = homeSettingService.getList(new HomeSettingSelectDto());
        List<HomeSettingByOpenVo> homeSettingByOpenVos = list.stream().map(x -> BeanUtil.toBean(x, HomeSettingByOpenVo.class)).collect(Collectors.toList());


        homeSettingService.handHomeSettingByOpen(homeSettingByOpenVos);

        return homeSettingByOpenVos;
    }

}
